
--
-- Create schema biocase_training
--

CREATE TABLE `abcdmetadata` (
  `MetadataID` int(11) NOT NULL default '0',
  `DatasetGUID` varchar(50) default NULL,
  `TechnicalContactName` varchar(50) NOT NULL default '',
  `TechnicalContactEmail` varchar(50) default NULL,
  `TechnicalContactPhone` varchar(50) NOT NULL default '',
  `TechnicalContactAddress` varchar(255) default NULL,
  `ContentContactName` varchar(50) NOT NULL default '',
  `ContentContactEmail` varchar(50) default NULL,
  `ContentContactPhone` varchar(50) default NULL,
  `ContentContactAddress` varchar(255) default NULL,
  `OtherProviderUDDI` varchar(50) default NULL,
  `DatasetTitle` varchar(50) default NULL,
  `DatasetDetails` text,
  `DatasetCoverage` text,
  `DatasetURI` varchar(50) default NULL,
  `DatasetIconURI` varchar(50) default NULL,
  `DatasetVersionMajor` varchar(50) NOT NULL default '',
  `DatasetCreators` text,
  `DatasetContributors` text,
  `DateCreated` datetime default NULL,
  `DateModified` datetime NOT NULL default '0000-00-00 00:00:00',
  `OwnerOrganizationName` varchar(255) default NULL,
  `OwnerOrganizationAbbrev` varchar(50) default NULL,
  `OwnerContactPerson` varchar(255) NOT NULL default '',
  `OwnerContactRole` varchar(50) default NULL,
  `OwnerAddress` varchar(255) default NULL,
  `OwnerTelephone` varchar(50) default NULL,
  `OwnerEmail` varchar(50) default NULL,
  `OwnerURI` varchar(50) default NULL,
  `OwnerLogoURI` varchar(255) default NULL,
  `IPRText` varchar(255) default NULL,
  `IPRDetails` text,
  `IPRURI` varchar(255) default NULL,
  `CopyrightText` varchar(255) default NULL,
  `CopyrightDetails` text,
  `CopyrightURI` varchar(255) default NULL,
  `TermsOfUseText` varchar(255) default NULL,
  `TermsOfUseDetails` text,
  `TermsOfUseURI` varchar(255) default NULL,
  `DisclaimersText` varchar(255) default NULL,
  `DisclaimersDetails` text,
  `DisclaimersURI` varchar(255) default NULL,
  `LicenseText` varchar(255) default NULL,
  `LicensesDetails` text,
  `LicenseURI` varchar(255) default NULL,
  `AcknowledgementsText` varchar(255) default NULL,
  `AcknowledgementsDetails` text,
  `AcknowledgementsURI` varchar(255) default NULL,
  `CitationsText` varchar(255) default NULL,
  `CitationsDetails` text,
  `CitationsURI` varchar(255) default NULL,
  `SourceInstitutionID` varchar(50) NOT NULL default '',
  `SourceID` varchar(50) NOT NULL default '',
  `RecordBasis` varchar(50) default NULL,
  `KindOfUnit` varchar(50) default NULL,
  PRIMARY KEY  (`MetadataID`),
  KEY `DatasetGUID` (`DatasetGUID`),
  KEY `SourceInstitutionID` (`SourceInstitutionID`),
  KEY `SourceID` (`SourceID`)
);
