#!C:\Programme2\Python25\python.exe
# -*- coding: UTF-8 -*-
import os, sys, Cookie, hashlib, subprocess
import cgitb,cgi
from xml.dom.minidom import Document
import xml.dom.minidom
from xml.dom.minidom import Node
import xml.sax
import pprint
 
#cgitb.enable()

# ***** include the biocase.lib directory in the python sys path for importing *****
execfile( os.path.abspath( os.path.join( os.path.dirname( __file__ ), os.pardir, os.pardir, 'lib', 'biocase', 'adjustpath.py' ) ))
execfile( os.path.abspath( os.path.join( os.path.dirname( __file__ ), os.pardir, os.pardir, 'lib', 'biocase', 'appinit.py' ) ))

from biocase.configtool.general import *
import biocase.configuration

archivefilename = form.getvalue('archivefilename')
dsa = form.getvalue('dsa')
ticket = form.getvalue('ticket')
filesize = form.getvalue('filesize')
errors = form.getvalue('errors')

# check authentication!
if dsa is None:
    execfile( os.path.abspath( os.path.join( os.path.dirname( __file__ ), 'main.cgi' ) ))
    sys.exit()

# check authentication!
authorize(form, dsa=dsa)

cfg = biocase.configuration.Cfg()
from biocase.datasources       import Datasource

dsaObj = Datasource(name=dsa)
wrapperurl = dsaObj.getBioCASeAccessPoint()

basePath = os.path.abspath(".." + os.sep + ".." + os.sep + "archive") + os.sep
archivePath = basePath + dsa + os.sep
archiveBin = basePath + "archive.py"
schema = form.getvalue('schema')
schemaNs = str(form.getvalue('schemafile')).encode('latin-1')

print('Content-Type: text/html\n')

proc = archivePath + archivefilename + ".proc"
if os.path.exists(proc):
	i = open(info, "w");
	i.write("status: fail\n")
	i.write(archivefilename + " is already in process\n");
	i.close()
	exit()	

q = open(archivePath + archivefilename + ".query.xml", "w")
q.write("<?xml version='1.0' encoding='UTF-8'?>\n")
q.write("<request xmlns='http://www.biocase.org/schemas/protocol/1.3'>\n")
q.write("  <header><type>search</type></header>\n")
q.write("  <search>\n")
q.write("    <requestFormat>"+schemaNs+"</requestFormat>\n")
q.write("    <responseFormat start='0' limit='"+filesize+"'>"+schemaNs+"</responseFormat>\n")
q.write("    <count>false</count>\n")
q.write("  </search>\n")
q.write("</request>\n")
q.close()


c = open(archivePath + archivefilename + ".config.xml", "w")
c.write("<?xml version='1.0' encoding='UTF-8'?>\n")
c.write("<config>\n")
c.write("<dsa>" + dsa + "</dsa>\n")
c.write("<archivefilename>" + archivefilename + "</archivefilename>\n")
c.write("<ticket>" + ticket + "</ticket>\n")
c.write("<wrapperurl>" + wrapperurl + "</wrapperurl>\n")
c.write("<schema>"+schema+"</schema>\n")
c.write("<schemans>"+schemaNs+"</schemans>\n")
c.write("<consecutiveerrors>"+errors+"</consecutiveerrors>")
c.write("</config>\n")
c.close()

p = subprocess.Popen([sys.executable, archiveBin, archivefilename, dsa])